Get Configuration
curl --request GET \
--url https://api.axiom.xyz/v1/configs/{config_id} \
--header 'Axiom-API-Key: <api-key>'import requests
url = "https://api.axiom.xyz/v1/configs/{config_id}"
headers = {"Axiom-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Axiom-API-Key': '<api-key>'}};
fetch('https://api.axiom.xyz/v1/configs/{config_id}', options)
.then(async (res) => {
const type = res.headers.get('content-type') || '';
if (type.includes('json')) return res.json();
if (!type || type.startsWith('text/')) return res.text();
return res.blob();
})
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.axiom.xyz/v1/configs/%7Bconfig_id%7D",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Axiom-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.axiom.xyz/v1/configs/%7Bconfig_id%7D"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Axiom-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.axiom.xyz/v1/configs/%7Bconfig_id%7D")
.header("Axiom-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.axiom.xyz/v1/configs/%7Bconfig_id%7D")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Axiom-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"created_at": "<string>",
"openvm_version": "<string>",
"stark_backend_version": "<string>",
"status": "ready",
"active": true,
"app_vm_commit": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Configuration Management
Get VM config metadata
Retrieve details about a proving system configuration.
GET
/v1/configs/{config_id}
Get Configuration
curl --request GET \
--url https://api.axiom.xyz/v1/configs/{config_id} \
--header 'Axiom-API-Key: <api-key>'import requests
url = "https://api.axiom.xyz/v1/configs/{config_id}"
headers = {"Axiom-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Axiom-API-Key': '<api-key>'}};
fetch('https://api.axiom.xyz/v1/configs/{config_id}', options)
.then(async (res) => {
const type = res.headers.get('content-type') || '';
if (type.includes('json')) return res.json();
if (!type || type.startsWith('text/')) return res.text();
return res.blob();
})
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.axiom.xyz/v1/configs/%7Bconfig_id%7D",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Axiom-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.axiom.xyz/v1/configs/%7Bconfig_id%7D"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Axiom-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.axiom.xyz/v1/configs/%7Bconfig_id%7D")
.header("Axiom-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.axiom.xyz/v1/configs/%7Bconfig_id%7D")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Axiom-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"created_at": "<string>",
"openvm_version": "<string>",
"stark_backend_version": "<string>",
"status": "ready",
"active": true,
"app_vm_commit": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Path Parameters
Response
application/json
Configuration details retrieved successfully
Configuration not found
Validation Error
User-facing config response model.
Available options:
ready, processing, not_ready, error, failed